Subject: bug#25372: 26.0.50; Cannot rebuild Emacs

From: Glenn Morris <[email-masked]>
Date: Fri, 06 Jan 2017 13:01:21 -0500

Glenn Morris wrote:

> The top-level Makefile, once it exists, should contain the necessary
> logic for rebuilding things. Manual steps should not be needed. Probably
> AUTOMAKE_INPUTS should be changed to include both
> $(srcdir)/lib/gnulib.mk and $(srcdir)/nt/gnulib.mk (which means that the
> variable gnulib_mk isn't needed). Strictly speaking, this was probably
> true before as well.

Actually, I suppose on non-MS platforms, nt/gnulib.mk could be an
order-only prerequisite, because we only need it to exist, not be newer.
But it's probably not worth making the distinction.